This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 468630 - GDM fade animation is not smooth on high-resolution displays
GDM fade animation is not smooth on high-resolution displays
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-26 19:03 EDT by Tomasz Sałaciński
Modified: 2016-08-01 07:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:39:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomasz Sałaciński 2008-10-26 19:03:26 EDT
Description of problem:
GDM freezes for ~1-2 seconds right after showing the first screen. The problem is related to faded background.

I am using properitary NVIDIA driver with 1680x1050 resolution (it is native for ym display). The problem does not occur on the NV driver, though (but I am not able to get 1680x1050 on this driver, only 1024x768, even with manual modeline overrides). It does not occur with NVIDIA driver and 1024x768 resolution.

It seems that GDM is waiting for the background to fade, then it starts to react on user's input. When I turn on my computer, GDM loads, I can see 50% of the bottom toolbar, black background and user list. After 1-2 seconds the background fades and I can log in.

IMHO GDM should use a non-blocking thread to fade the background.

Version-Release number of selected component (if applicable):
Don't know.

How reproducible:
Set your monitor to 1680x1050 resolution with NVIDIA driver.

Steps to Reproduce:
1. Install NVIDIA driver and use 1680x1050
2. Reboot computer or press CTRL+ALT+BACKSPACE
3. Wait 1-2 secs to log in
  
Actual results:
GDM freezes for 1-2 secs

Expected results:
GDM should accept user's input even if the background fading animation is still loading.

Additional info:
Comment 1 Ray Strode [halfline] 2008-10-27 11:25:40 EDT
Unfortuantely, it's the nvidia driver that's blocking the X server, not GDM that's blocking.

This is a duplicate for bug 465699 but we haven't been able to come up with a good answer.
Comment 2 Tomasz Sałaciński 2008-10-27 12:00:07 EDT
Thanks for the answer - sorry, I was trying to search bugzilla for this particular bug, that's why I created a new one. If it's the NVIDIA blob that's causing the trouble, Fedora devs should at least update the NV driver (to make it possible to use 1680x1050 on GF 8600 card) or update Nouveau driver more often.

Cheers
Comment 3 Mads Kiilerich 2008-11-11 18:22:00 EST
Please close
Comment 4 Bug Zapper 2008-11-25 23:16:43 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Matěj Cepl 2009-09-05 18:48:54 EDT
(In reply to comment #2)
> Thanks for the answer - sorry, I was trying to search bugzilla for this
> particular bug, that's why I created a new one. If it's the NVIDIA blob that's
> causing the trouble, Fedora devs should at least update the NV driver (to make
> it possible to use 1680x1050 on GF 8600 card) or update Nouveau driver more
> often.

I don't have much help for Fedora 10, but if you upgrade to Fedora 11, then you can try to use nouveau driver, which is exactly what you asked for (except instead of fixing nv, somebody wrote a better new driver).

Would it be possible to upgrade to F11? Otherwise, I am sorry, but we cannot support issues with nvidia binary driver, so I would have to close this bug as CANTFIX.

Thank you very much for reporting the issue
Comment 6 Bug Zapper 2009-11-18 03:39:04 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 01:39:21 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.